// Module    : $RCSfile: FocusChange.java,v $
// Version   : $Revision: 0.0 $  $Author: Patrick $  $Date: 27.11.2011 18:11:29 $
// Project   : TaskTreePerformanceTest
// Creation  : 2011 by Patrick
// Copyright : Patrick Harms, 2011

package de.ugoe.cs.quest.eventcore.gui;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: $
 * @author 2011, last modified by $Author: $
 */
public class KeyboardFocusChange implements IInteraction {
    
    /**  */
    private static final long serialVersionUID = 1L;

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#getName()
     */
    public String getName() {
        return "KeyboardFocusChange";
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.tasktree.userinteraction.Interaction#startsLogicalSequence()
     */
    @Override
    public boolean startsLogicalSequence() {
        return true;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.tasktree.userinteraction.Interaction#finishesLogicalSequence()
     */
    @Override
    public boolean finishesLogicalSequence() {
        return true;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "keyboard focus changed";
    }
}
